diff -Naur eggdrop.orig/eggdrop-1.6.21/debian/changelog eggdrop/eggdrop-1.6.21/debian/changelog
--- eggdrop.orig/eggdrop-1.6.21/debian/changelog	2014-08-07 14:09:01.500439546 -0500
+++ eggdrop/eggdrop-1.6.21/debian/changelog	2014-08-07 14:26:28.372457777 -0500
@@ -1,3 +1,14 @@
+eggdrop (1.6.21-4) unstable; urgency=low
+
+  * Fix FTBFS with clang
+    - Fixed undefined reference in
+      src/match.c
+      src/tclhash.c
+      src/tclhash.h
+      src/net.c
+  
+ -- Arthur Marble <arthur@info9.net>  Thu, 07 Aug 2014 14:26:16 -0500
+
 eggdrop (1.6.21-3) unstable; urgency=low
 
   * debian/rules: fix dh-autoreconf (Closes: #750618)
diff -Naur eggdrop.orig/eggdrop-1.6.21/debian/patches/clang-ftbfs.diff eggdrop/eggdrop-1.6.21/debian/patches/clang-ftbfs.diff 
--- eggdrop.orig/eggdrop-1.6.21/debian/patches/clang-ftbfs.diff	1969-12-31 18:00:00.000000000 -0600
+++ eggdrop/eggdrop-1.6.21/debian/patches/clang-ftbfs.diff	2014-08-07 14:23:03.920454216 -0500
@@ -0,0 +1,44 @@
+--- a/src/match.c
++++ b/src/match.c
+@@ -367,7 +367,7 @@ int cidr_match(char *m, char *n, int cou
+ /* Inline for cron_match (obviously).
+  * Matches a single field of a crontab expression.
+  */
+-inline int cron_matchfld(char *mask, int match)
++static inline int cron_matchfld(char *mask, int match)
+ {
+   int skip = 0, f, t;
+   char *p, *q;
+--- a/src/tclhash.c
++++ b/src/tclhash.c
+@@ -109,7 +109,7 @@ static inline void tcl_bind_list_delete(
+   nfree(tl);
+ }
+ 
+-inline void garbage_collect_tclhash(void)
++void garbage_collect_tclhash(void)
+ {
+   tcl_bind_list_t *tl, *tl_next, *tl_prev;
+   tcl_bind_mask_t *tm, *tm_next, *tm_prev;
+--- a/src/tclhash.h
++++ b/src/tclhash.h
+@@ -75,7 +75,7 @@ typedef struct tcl_bind_list_b {
+ 
+ #ifndef MAKING_MODS
+ 
+-inline void garbage_collect_tclhash(void);
++void garbage_collect_tclhash(void);
+ 
+ void init_bind(void);
+ void kill_bind(void);
+--- a/src/net.c
++++ b/src/net.c
+@@ -564,7 +564,7 @@ int open_address_listen(IP addr, int *po
+ /* Returns a socket number for a listening socket that will accept any
+  * connection -- port # is returned in port
+  */
+-inline int open_listen(int *port)
++int open_listen(int *port)
+ {
+   return open_address_listen(myip[0] ? getmyip() : INADDR_ANY, port);
+ }
diff -Naur eggdrop.orig/eggdrop-1.6.21/debian/patches/series eggdrop/eggdrop-1.6.21/debian/patches/series 
--- eggdrop.orig/eggdrop-1.6.21/debian/patches/series	2014-08-07 14:09:01.500439546 -0500
+++ eggdrop/eggdrop-1.6.21/debian/patches/series	2014-08-07 14:09:45.684440316 -0500
@@ -3,3 +3,4 @@
 01use_ldflags.patch
 02language_dir.patch
 fix_kfreebsd_build
+clang-ftbfs.diff
